summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtarget/default/target_skeleton/bin/firstboot12
1 files changed, 11 insertions, 1 deletions
diff --git a/target/default/target_skeleton/bin/firstboot b/target/default/target_skeleton/bin/firstboot
index 5076d1c18..8bb0b3efa 100755
--- a/target/default/target_skeleton/bin/firstboot
+++ b/target/default/target_skeleton/bin/firstboot
@@ -37,10 +37,20 @@ echo "done"
echo -n "setting up symlinks... "
for file in $(cd /rom; find * -type f; find * -type l;)
do {
- ln -sf /rom/$file $file
+ [ "${file%/*}" = "usr/lib/ipkg/info" ] && {
+ cp -f /rom/$file $file
+ } || {
+ ln -sf /rom/$file $file
+ }
} done
echo "done"
+echo -n "fixing ipkg symlinks... "
+for file in $( find /usr/lib/ipkg/info/*list -type l;)
+do {
+ rm $file; cp -f /rom/$file $file
+} done
+
touch /tmp/resolv.conf
ln -s /tmp/resolv.conf /etc/resolv.conf